#
# spec file for package jsr-305
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           jsr-305
Version:        0.1
Release:        43.1
Summary:        JSR 305: Annotations for Software Defect Detection in Java
# http://groups.google.com/group/jsr-305/browse_thread/thread/8105869a258c8c4f
License:        BSD-3-Clause
Group:          Development/Libraries/Java
Url:            http://code.google.com/p/jsr-305/
# svn export -r20080806 http://jsr-305.googlecode.com/svn/trunk/ jsr-305-0.1
# tar cjf jsr-305-0.1.bz2 jsr-305-0.1
Source0:        jsr-305-0.1.tar.bz2
Source1:        jsr-305-ri-build.xml
# bnc#653551
# The URL reffers to New BSD License - used <OWNER> == Bill Pugh, <YEAR> == 2008
Source2:        license
BuildRequires:  ant
BuildRequires:  fdupes
BuildRequires:  java-devel
BuildRequires:  javapackages-local
BuildRequires:  javapackages-tools
Provides:       jsr305 = %{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This project contains reference implementations, test cases, and other
documents under source code control for Java Specification Request 305:
Annotations for Software Defect Detection. More information at the Google
group: http://groups.google.com/group/jsr-305.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Documentation/HTML

%description javadoc
This project contains reference implementations, test cases, and other
documents under source code control for Java Specification Request 305:
Annotations for Software Defect Detection. More information at the Google
group: http://groups.google.com/group/jsr-305.

%prep
%setup -q
cp -a %{SOURCE1} ri/build.xml
cp %{SOURCE2} .

%build
export OPT_JAR_LIST=:
export CLASSPATH=
pushd ri
%{ant} -Dant.build.javac.source=1.6 -Dant.build.javac.target=1.6 \
       -Dversion=%{version} -Djava.javadoc=%{_javadocdir}/java
popd

%install
# jars
mkdir -p %{buildroot}%{_javadir}
cp -a ri/jsr-305-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/jsr305.jar

# poms
mkdir -p %{buildroot}%{_mavenpomdir}
cp -a ri/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

# javadoc
mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -a ri/javadoc/* %{buildroot}%{_javadocdir}/%{name}
%fdupes -s %{buildroot}%{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
%doc license
%{_javadir}/%{name}.jar
%{_javadir}/jsr305.jar
%{_mavenpomdir}/*
%{_datadir}/maven-metadata/%{name}.xml*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}

%changelog
* Tue Sep 19 2017 fstrba@suse.com
- Fix build with jdk9: specify java target and source 1.6
* Fri May 19 2017 dziolkowski@suse.com
- New build dependency: javapackages-local
- removed "section free" tag
- spec cleaned using spec-cleaner
* Wed Mar 18 2015 tchvatal@suse.com
- Fix build with new javapackages-tools
* Fri Jun 27 2014 tchvatal@suse.com
- Remove java-javadoc dep as it is not needed to sort out SLE11
* Tue Sep 10 2013 mvyskocil@suse.com
- use add_maven_depmap from javapackages-tools
- don't install versioned jars and javadocs
* Mon Sep  9 2013 tchvatal@suse.com
- Move from jpackage-utils to javapackage-tools
* Thu Jan 26 2012 mvyskocil@suse.cz
- remove non working url from spec
* Fri Dec  9 2011 coolo@suse.com
- fix license to be in spdx.org format
* Mon Nov 15 2010 mvyskocil@suse.cz
- fix bnc#653551 - No license indicators in jsr-305 package
  * add license file with BSD license text
    as written on http://code.google.com/p/jsr-305/
* Wed Jun  3 2009 mvyskocil@suse.cz
- Initial SUSE packaging based on jpp 5.0
